<template>
  <nuxt-link :to="`/procedures/${link}/`">
    <v-card class="px-4 py-2 fill-height">
      <v-col
        class="d-flex flex-column justify-space-between"
        style="height: 100%"
      >
        <v-row class="grow">
          <v-col class="card-icon py-0 mt-3 px-0">
            <v-card-title
              style="word-break: break-word"
              class="
                card-title
                font-montserrat font-weight-bold
                align-start
                pt-0
              "
              >{{ title }}</v-card-title
            >
            <v-card-text class="card-subtitle font-lato py-0">
              {{ shortText }}
            </v-card-text>
          </v-col>
        </v-row>
        <v-row class="shrink">
          <v-col cols="8" sm="12" md="8" lg="9">
            <v-card-actions>
              <v-btn
                class="card-button font-poppins text-none pa-5"
                dark
                outlined
                max-width="152px"
                :color="colors['primaryColor']"
              >
                Iniciar Trámite
              </v-btn>
            </v-card-actions>
          </v-col>
        </v-row>
      </v-col>
    </v-card>
  </nuxt-link>
</template>

<script>
import { mapGetters } from 'vuex'
export default {
  name: 'ProcedureCard',
  props: {
    id: { type: String, default: '' },
    title: { type: String, default: '' },
    link: { type: String, default: '' },
    shortDescription: { type: String, default: '' },
    icon: { type: String, default: '' },
  },
  data() {
    return {
      colors: {
        primaryColor: '#B92D91',
      },
    }
  },
  computed: {
    ...mapGetters({
      user: 'users/user',
    }),
    shortText() {
      return this.shortDescription.length > 230
        ? this.shortDescription.substring(0, 230) + '...'
        : this.shortDescription
    },
  },
}
</script>

<style scoped>
.v-application a {
  text-decoration: none;
}

.card-icon {
  border-left: 7px solid #b92d91;
}

.card-title {
  font-size: 1.5rem;
  letter-spacing: -0.99px;
}

.card-subtitle {
  font-size: 1.1rem;
  color: #757575;
}

.card-button {
  font-size: 1rem;
  letter-spacing: 0;
}
.v-image--svg {
  fill: white;
}
</style>
